Subject: Re: bug#22752: 01/01: import: gem: Add updater.

From: Ben Woodcroft <[email-masked]>
Date: Tue, 23 Feb 2016 22:01:38 +1000

On 23/02/16 21:58, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
>
>> On Sun, Feb 21, 2016 at 04:04:10PM +1000, Ben Woodcroft wrote:
>>>
>>> On 21/02/16 15:55, Leo Famulari wrote:
>>>> On Sat, Feb 20, 2016 at 10:53:05AM +0000, Ben Woodcroft wrote:
>>>>> benwoodcroft pushed a commit to branch master
>>>>> in repository guix.
>>>>>
>>>>> commit fbc5b815cce85a6af75226ab16acf243fd7d22ce
>>>>> Author: Ben Woodcroft <[email-masked]>
>>>>> Date:   Fri Jan 1 16:56:07 2016 +1000
>>>>>
>>>>>      import: gem: Add updater.
>>>> Since this commit, I can no longer use guix refresh.
>>> Hmm, I guess I messed something up then. I do not have any problem though.
>> Everything worked again after I completely rebuilt from git. I guess
>> there was some ABI mismatch between the compiled files that had been
>> updated at certain times.
> Or maybe you had removed Guile-JSON in the meantime?  And indeed, the
> unneeded #:use-module (guix import gem) would be causing problems when
> Guile-JSON is missing, so I’ve removed it.

Thanks Ludo, I appreciate it. Apologies for including it in the first place.
ben